View Issue Details

IDProjectCategoryView StatusLast Update
0002404unrealdocumentationpublic2007-04-16 11:10
ReporterWhite_MagicAssigned Tostskeeps 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2.2 
Target VersionFixed in Version3.3-alpha0 
Summary0002404: Expanding Addline Documentation
Description[quote] addline <text> Allows you to add lines to the unrealircd.conf [/quote]
is there any change there can be a seperate section made for this,to explain..

1) where does the text go in the file (at the end? start?)
2) what " text " can be added? (like oper blocks etc)
3) what was the main reason for this to be made? what is its limitations??
4) Define a experence field for using unreal before attmepting to use this command - it sounds very much like it could make a config file fail testing / crash a server...

i feel it is very weak the way it is written up at the moment, and feel peoplemay benefit more if it was gone over in more detail... It IS in the documentation so i presum it has a purpose which wont be removed.. :)
TagsNo tags attached.
3rd party modules

Relationships

has duplicate 0002461 closed ADDLINE command doesn't included to the /helpop system 
has duplicate 0003293 resolvedstskeeps Remove addline on 3.3 

Activities

codemastr

2005-03-07 10:22

reporter   ~0009473

I don't want to add anymore documentation for this. All that can possibly do is lead more people to use it. In my opinion, it should be completely removed.

w00t

2005-03-07 11:44

reporter   ~0009474

Why *hasn't* it been? Perhaps another poll (like the helpops one) would be good?

syzop

2005-03-07 12:09

administrator   ~0009476

Last edited: 2005-03-07 12:19

Why make a poll when both me and codemastr have no doubts about this?

The only question is when, but I can at least guarantee that it will be gone in 3.3* ;). For 3.2* I suppose we should just stick with can_addline.

Also, /addline can easily be moved into a 3rd party module anyway.

codemastr

2005-03-07 12:27

reporter   ~0009478

[quote]Why *hasn't* it been? Perhaps another poll (like the helpops one) would be good?[/quote]
It will be removed when we add the web-based configuration system.

Stealth

2006-06-04 10:54

reporter   ~0011839

Sorry for bringing up an old issue, but in 3.2.x why don't you just have Unreal not include the m_addline module in the commands module? This way people wanting it will need to load the module

aquanight

2006-06-05 12:54

reporter   ~0011860

[quote]Sorry for bringing up an old issue, but in 3.2.x why don't you just have Unreal not include the m_addline module in the commands module? This way people wanting it will need to load the module[/quote]

That'd be a lot better if you could move the can_addline flag along with it ... ;)

WolfSage

2007-04-15 23:19

reporter   ~0013428

So can we close this as well?

w00t

2007-04-16 10:51

reporter   ~0013455

(Read the bug before asking to close it, WolfSage)

Patch written removing addline, per Stskeeps.

http://www.rburchell.org/coding/unrealircd/diff-remove-addline

stskeeps

2007-04-16 11:10

reporter   ~0013457

Removed in .2355

Issue History

Date Modified Username Field Change
2005-03-07 10:17 White_Magic New Issue
2005-03-07 10:22 codemastr Note Added: 0009473
2005-03-07 11:44 w00t Note Added: 0009474
2005-03-07 12:09 syzop Note Added: 0009476
2005-03-07 12:10 syzop Note Edited: 0009476
2005-03-07 12:19 syzop Note Edited: 0009476
2005-03-07 12:27 codemastr Note Added: 0009478
2005-04-07 15:41 syzop Relationship added has duplicate 0002461
2006-06-04 10:54 Stealth Note Added: 0011839
2006-06-05 12:54 aquanight Note Added: 0011860
2007-04-15 23:19 WolfSage Note Added: 0013428
2007-04-16 10:51 w00t Note Added: 0013455
2007-04-16 11:10 stskeeps Status new => resolved
2007-04-16 11:10 stskeeps Fixed in Version => 3.3-alpha0
2007-04-16 11:10 stskeeps Resolution open => fixed
2007-04-16 11:10 stskeeps Assigned To => stskeeps
2007-04-16 11:10 stskeeps Note Added: 0013457
2007-04-24 14:38 stskeeps Relationship added has duplicate 0003293